﻿@using LAP.DomainModels.Entities.Adviser
@model ComplianceDocument
@{
    var extension = Model.Extension;
    var filename = Model.FileName.Replace("'", "/");
    var type = extension.Contains("doc") ? "word" : extension.Contains("xls") ? "excel" : extension.Contains("csv") ? "csv" : extension.Contains("ppt") ? "powerpoint" : extension.Contains("pdf") ? "pdf" : Model.ContentType.Contains("image") ? "image" : Model.ContentType.Contains("audio") ? "audio" : Model.ContentType.Contains("video") ? "video" : Model.ContentType.Contains("text") ? "alt" : Model.ContentType.Contains("link") ? "globe" : "";
    var color = extension.Contains("doc") ? "295497" : extension.Contains("xls") || extension.Contains("csv") ? "1f7244" : extension.Contains("ppt") ? "d14424" : extension.Contains("pdf") ? "cb0606" : Model.ContentType.Contains("image") ? "26b99a" : Model.ContentType.Contains("audio") ? "8950FC" : Model.ContentType.Contains("video") ? "F64E60" : Model.ContentType.Contains("text") ? "3699FF" : Model.ContentType.Contains("link") ? "0073e9" : "008080";
    var fun = Model.FileSize > 0 ? $"clientFileDownload('documents/compliance', '{filename}', '{Model.VersionId}',{Model.Id},true)" : $"openFileOrLinkNewWindow('{filename}')";
}
<div class="modal-dialog max-w-550px modal-dialog-scrollable" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Compliance Document Review</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btn-close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="admin/adviser/compliancedocumentreview" class="form fv-plugins-bootstrap fv-plugins-framework" id="compliance-document-review-frm" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteDataTable">
            <input asp-for="Guid" />
            <input asp-for="Status" type="hidden" />
            <div class="modal-body scrollable-modal-body">
                <div class="form-group">
                    <label asp-for="FileName">File Name/Url</label>
                    <div class="input-group">
                        <input class="form-control" asp-for="FileName" disabled />
                        <div class="input-group-append" role="button" onclick="@fun">
                            <span class="input-group-text" style="background:#ffffff">
                                @if (Model.Extension.Contains("eps"))
                                {
                                    <span class='eps-icon-container position-relative' style="top:5px" id="icon-@Model.Id" data-toggle="tooltip" data-original-title="Click here to @(Model.FileSize > 0 ? "download" : "view")" data-offset="0 20px">
                                        <span class='icon-text' style="font-size:9px;top:0;left:2px">EPS</span>
                                        <i class='fa fa-2x fa-file' style='color:#008080'></i>
                                    </span>
                                    <i class="fas fa-arrow-down animated faa-falling ml-2 text-primary d-none" id="loader-@Model.Id" style="line-height:normal"></i>
                                }
                                else
                                {
                                    <i class="fas fa@(Model.FileSize > 0 ? "-file" : "")@(type.Length > 0 ? "-" : "")@type @(Model.FileSize > 0 ? "fa-2x" : "")" style="color:#@color" id="icon-@Model.Id" data-toggle="tooltip" data-original-title="Click here to @(Model.FileSize > 0 ? "download" : "view")" data-offset="0 20px"></i>
                                    <i class="fas fa-arrow-down animated faa-falling ml-2 text-primary d-none" id="loader-@Model.Id" style="line-height:normal"></i>
                                }
                            </span>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-1">
                        <span class="switch switch-icon mt-2 switch-sm switch-custom">
                            <label>
                                <input type="checkbox" asp-for="ReqiuredChange">
                                <span></span>
                            </label>
                        </span>
                    </div>
                    <label class="col-8 col-form-label ml-1" asp-for="ReqiuredChange">
                        Changes required in above document?
                    </label>
                </div>
                <div class="form-group">
                    <label asp-for="AdviserNote"></label>
                    <textarea class="form-control" asp-for="AdviserNote" disabled></textarea>
                </div>
                <div class="form-group">
                    <label asp-for="ComplianceNote"></label>
                    <textarea class="form-control" asp-for="ComplianceNote"></textarea>
                </div>
                <div class="form-group">
                    <label>Allegation</label>
                    <textarea class="form-control" asp-for="Allegation"></textarea>
                </div>
                <div class="form-group">
                    <label asp-for="TerminationType"></label>
                    <input class="form-control" asp-for="TerminationType" />
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-success font-weight-bold spinner-white spinner-right" value="@ComplianceDocumentStatusEnum.Approved.ToString()" onclick="localStorage.setItem('buttonType', '@ComplianceDocumentStatusEnum.Approved.ToString()')" id="btnApproved">
                    <i class="fas fa-check"></i>
                    <span id="upload-text">Approve</span>
                </button>
                <button class="btn btn-danger font-weight-bold spinner-white spinner-right" value="@ComplianceDocumentStatusEnum.Rejected.ToString()" onclick="localStorage.setItem('buttonType', '@ComplianceDocumentStatusEnum.Rejected.ToString()')" id="btnRejected">
                    <i class="fas fa-times"></i>
                    <span id="upload-text">Reject</span>
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    var frm = $("#compliance-document-review-frm");
    frm.validate({
        rules: {
            ComplianceNote: {
                required: function() {
                    var isRequired = false;
                    var status = $("#Status").val();
                    var requireChange = $("#ReqiuredChange").is(":checked");
                    if ((status == ComplianceDocumentStatus.Approved.Value && requireChange) || status == ComplianceDocumentStatus.Rejected.Value)
                        isRequired = true;
                    return isRequired;
                }
            }
        },
        messages: {
            ComplianceNote: "Provide Compliance Note",
        }
    });
    $("#ReqiuredChange").change(function() {
        frm.resetValidation();
    });
    $("#btnApproved,#btnRejected").click(function(e) {
        e.preventDefault();
        var btn = $(this).attr("id");
        if (btn == "btnApproved")
            $("#Status").val(ComplianceDocumentStatus.Approved.Value);
        else
            $("#Status").val(ComplianceDocumentStatus.Rejected.Value);
        frm.submit();
    });
    clearDropzone();
    var dropzoneOptions = dropzoneDefaultOptions;
    dropzoneOptions.url = "adviser/home/compliancedocumentupload";
    dropzoneOptions.maxFilesize = 100; // MB
    dropzoneOptions.sending = function(file, xhr, formData) {
        var frm = $("#compliance-document-upload-form");
        formData.append("id", frm.find("#Id").val());
        formData.append("guid", frm.find("#Guid").val());
        formData.append("adviserNote", frm.find("#AdviserNote").val());
        initToastProgress();
    };
    dropzoneOptions.success = function(file, response) {
        if (file.accepted) {
            var swalOptions = successSwalOptions;
            swalOptions.title = response.message;
            Swal.fire(swalOptions);
            if (window["datatable"] != undefined)
                datatable.reload();
        }
        else {
            toastr.options = toastrOptions;
            toastr.error(response.message);
        }
    };
    $('#compliance-document-upload').dropzone(dropzoneOptions);

    $(document).on("click", "#ComplianceDocumentUploadModal #btn_submit_upload", function(e) {
        e.preventDefault();
        enableDisableUpload(true);
        Dropzone.forElement(".dropzone").processQueue();
    });
</script>
